Delete Auth Token
Revokes the token that matches the given token ID issued under the given Dev organization.
Required scopes: No scopes required.
Authorization
auth-token All the DevRev APIs require a token to authenticate the user. Provide Authorization: Bearer <TOKEN> as a header to every API request.
How do I find my token?
In: header
Request Body
application/json
The unique identifier for the token under a given Dev organization. If no token ID is provided, then the token ID will be set from the JTI claim of the token in the authorization header.
idResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.devrev.ai/auth-tokens.delete" \ -H "Content-Type: application/json" \ -d '{}'{
"detail": "string",
"message": "string",
"type": "artifact_already_attached_to_a_parent",
"existing_parent": "string",
"is_same": true
}{
"detail": "string",
"message": "string",
"type": "dev_org_deactivated"
}{
"detail": "string",
"message": "string",
"type": "forbidden",
"object_ids": [
"string"
]
}{
"detail": "string",
"message": "string",
"type": "not_found"
}{
"detail": "string",
"message": "string",
"type": "request_entity_too_large",
"max_bytes": 0
}{
"detail": "string",
"message": "string",
"type": "too_many_requests",
"retry_after": 0
}{
"detail": "string",
"message": "string",
"type": "internal_error",
"reference_id": "string"
}{
"detail": "string",
"message": "string",
"type": "service_unavailable"
}Create Auth Token POST
Creates a JWT corresponding to the requested token type for the authenticated user. **Required scopes:** No scopes required.
Get Auth Token (POST) POST
Gets the token metadata corresponding to the given token ID under the given Dev organization. **Required scopes:** No scopes required.